#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	IO
%define	pnam	Compress-Lzop
Summary:	Modules to read/write lzop files/buffers
Summary(pl.UTF-8):	Moduły do odczytu/zapisu plików/buforów lzop
Name:		perl-IO-Compress-Lzop
Version:	2.074
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f8a67fb13d2ccafeec9c3f36689b817b
URL:		http://search.cpan.org/dist/IO-Compress-Lzop/
BuildRequires:	perl-ExtUtils-MakeMaker >= 5.16
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Compress-LZO
BuildRequires:	perl-IO-Compress >= %{version}
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Compress::Lzop and IO::Uncompress::UnLzop modules provide a Perl
interface that allows reading and writing lzop compressed data from/to
files or buffer.

%description -l pl.UTF-8
Moduły IO::Compress::Lzop i IO::Uncompress::UnLzop udostępniają
perlowy interfejs umożliwiający odczyt i zapis danych skompresowanych
algorytmem lzop z/do plików lub buforów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/IO/Compress/Adapter/LZO.pm
%{perl_vendorlib}/IO/Compress/Lzop.pm
%{perl_vendorlib}/IO/Compress/Lzop
%{perl_vendorlib}/IO/Uncompress/Adapter/LZO.pm
%{perl_vendorlib}/IO/Uncompress/UnLzop.pm
%{_mandir}/man3/IO::Compress::Lzop.3pm*
%{_mandir}/man3/IO::Uncompress::UnLzop.3pm*
%changelog
* Mon Aug 27 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IO-Compress-Lzop.git;a=log;h=master

* Mon Aug 27 2018 Jakub Bogusz <qboosh@pld-linux.org> 418d37d
- updated to 2.074

* Thu May 31 2012 Jakub Bogusz <qboosh@pld-linux.org> 0b90a5f
- updated to 2.052

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> 82c6fa7
- up to 2.048

* Tue Jan 17 2012 Jakub Bogusz <qboosh@pld-linux.org> fe26fc3
- uninified Source0 URL

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 8b4b71e
- release 2

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> ff01be2
- up to 2.045

* Sun Mar 06 2011 Jakub Bogusz <qboosh@pld-linux.org> f47a0d8
- updated to 2.033

* Thu Nov 26 2009 amateja <amateja@pld-linux.org> b697cbd
- updated to 2.023

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> e81cd69
- updated to 2.021

* Sun Dec 14 2008 Maciej Pijanka <agaran@pld-linux.org> 5c3ed98
- up to 2.015

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> af8957b
- up to 2.008

* Tue May 29 2007 Jakub Bogusz <qboosh@pld-linux.org> 93c905d
- versioned IO::Compress::Base dep

* Sun May 27 2007 Maciej Pijanka <agaran@pld-linux.org> 18d2ffe
- up to 2.004, rel 1, builds here

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 057f640
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e54dd24
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 59f32b8
- new

